# cirros-builder

## Usage

Go to package source directory, for example:

`cd xenial/cirros-testvm`

Edit configuration file `config` with needed options. Build an image:

`docker build -t cirros-builder .`

Docker container could be launched in privileged mode:

`docker run --privileged --env-file config -i -v ${PWD}:/opt/build -t cirros-builder`

or with SYS_ADMIN capability, in this case free loop host device should be found in before:

`FREE_LOOP_DEV=$(sudo losetup -f)`

`docker run --cap-add SYS_ADMIN --security-opt apparmor:unconfined --device=${FREE_LOOP_DEV} --env-file config -i -t -v ${PWD}:/opt/build cirros-builder`

after successfull build directory xenial/cirros-testvm/cirros-testvm should contain cirros image
